﻿
@model MvcMovie.Models.MovieGenreViewModel


@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<h2>Index</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>

<form asp-controller="Movies" asp-action="Index" method="get">
    <p>
        <select asp-for="MovieGenre" asp-items="Model.Genres">
            <option value="">All</option>
        </select>

        Title: <input type="text" name="SearchString">
        <input type="submit" value="Filter" />
    </p>
</form>

<table class="table">
    <thead>
        <table class="table">
            <thead>
                <tr>
                    @*<th>
                            @Html.DisplayNameFor(model => model.Id)
                        </th>*@
                    <th>
                        @Html.DisplayNameFor(model => model.Movies[0].Title)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Movies[0].ReleaseDate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Movies[0].Genre)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Movies[0].Price)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Movies)
                {
                    <tr>
                        @*<td>
                                @Html.DisplayFor(modelItem => item.Id)
                            </td>*@
                        <td>
                            @Html.DisplayFor(modelItem => item.Title)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ReleaseDate)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Genre)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Price)
                        </td>
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                            @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                        </td>
                    </tr>
                }
            </tbody>
        </table>
